/* Add this CSS to make the form responsive and set a maximum width for input fields */
body {
    font-family: 'Passero One', cursive;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; 
}

.main {
    width:100%;
    margin-top: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin-top:180px;
}

.login-page {
    width: 90%; /* Set a percentage width for better responsiveness */
    max-width: 540px;
    /* margin: auto; */
    padding: 5% 0;
}

h2 {
    font-family: 'Passero One', cursive;
    padding-bottom: 0px;
    font-size: 28px;
    text-align: center;
    margin-top:0px;
}
h4{
    padding:10px;
    padding-bottom: 0px;
    text-align: center;
    font-size: 20px;
}
.form {
    border-radius: 7px;
    position: relative;
    z-index: 1;
    background: #fff;
    border: 1px solid black;
    max-width: 100%; /* Allow the form to expand to its container's width */
    padding: 55px;
    padding-top: 0;
}

.form input {
    font-family: 'Passero One', cursive;
    outline: 0;
    border: 1px solid #ccc;
    margin: 0 0 20px;
    padding: 12px;
    box-sizing: border-box;
    font-size: 14px;
    width: 100%; /* Make input fields expand to the container's width */
}

.form label {
    font-size: 16px;
}

#description {
    font-family: 'Passero One', cursive;
    padding: 9px;
    border: 1px solid #ccc;
    border-radius: 7px;
    width: 95%;
}

.form button {
    font-family: 'Passero One', cursive;
    outline: 0;
    background: #4CAF50;
    border: none;
    border-radius: 5px;
    width: 180px; /* Make the button expand to the container's width */
    padding: 7px;
    margin-top: 18px;
    margin-bottom: 10px;
    color: #FFFFFF;
    font-size: 20px;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    cursor: pointer;
}
.form button:hover,.form button:active,.form button:focus {
    border-color: #43A047;
    color: #43A047;
  }
  .form .message {
    margin: 15px 0 0;
    color: 000;
    font-size: 15px;
  }
  .form .message a {
    color: #4CAF50;
    text-decoration: none;
  }
  .container {
    position: relative;
    z-index: 1;
    max-width: 300px;
    margin: 0 auto;
  }
  
  #close-icon {
      background: none;
      border: none;
      color: black;
      font-size: 32px;
      cursor: pointer;
      /* bottom:30px ; */
      padding-right:150px ;
  }
.invalid-feedback{
    /* padding-top:10px; */
    padding-bottom: 8px;
    color:red;
}
/* Media queries for responsive design */
@media (max-width:1024px) {
    .main{
        margin-top:160px;
        margin-bottom: 100px;
        margin-right:60px;
    }
    .login-page{
        padding: 0px;
    }
    .form {
        margin-top:20px;
        width: 90%;
    } 
}
@media (max-width: 992px) {
    .main{
        margin-top:160px;
        margin-bottom: 100px;
        margin-left:32px;
    }
    .login-page{
        margin: auto;
        margin-left: 125px;
    }
    .form {
        margin:0px;
        width: 90%;
        margin: 0 auto;
        z-index: 1;
    }
}
@media (width: 912px) {
    .main{
        margin-top:160px;
        /* margin-bottom: 50px; */
        margin-left:32px;
        min-height: 700px;
        max-height: 800px;
    }
    .login-page{
        margin: auto;
        margin-left: 125px;
    }
    .form {
        margin:0px;
        width: 90%;
        margin: 0 auto;
        z-index: 1;
    }
}
@media  (max-width:840px){
    .main{
        margin-top:100px;
        margin-bottom: 10px;
        margin-left:-8px;
    }
}
@media  (max-width:820px){
    .main{
        margin-top:140px;
        margin-bottom: -30px;
        margin-right:130px;
        min-height: 700px;
        max-height: 800px;
    }
}
@media  (width:768px){
    .main{
        margin-top:140px;
        margin-bottom: -30px;
        margin-left:-50px;
        min-height: 700px;
        max-height: 800px;
    }
}
@media  (max-width:700px){
    .main{
        margin-top:140px;
        margin-bottom: -30px;
        margin-left: -80px;
        /* margin-right:200px; */
        min-height: 700px;
        max-height: 800px;
    }
}
@media (max-width: 600px) {
    .main{
        margin-top:110px;
        margin-bottom: -30px;
        margin-left: -94px;
        /* margin-right:200px; */
        /* min-height: 700px;
        max-height: 800px; */
    }
    .form {
        width: 90%;
        margin: 0 auto;
    }
}

@media (max-width: 540px) {
    .main{
        margin-top:150px;
        margin-bottom: -30px;
        margin-left: -98px;
        /* margin-right:200px; */
        /* min-height: 700px; */
        /* max-height: 800px; */
    }
    .form {
        width: 90%;
        margin: 0 auto;
    }
}
@media (max-width: 450px) {
    .main{
        margin-top:100px;
        margin-bottom: -30px;
        margin-left: -80px;
    }
    .form {
        width: 90%;
        margin: 0 auto;
        padding:30px;
    }
    #close-icon {
        padding-right:150px ;
        margin-top:0%;
        /* padding-bottom:0px; */
    }
    .form input{
        padding:7px;
    }
}
@media (max-width: 394px) {
    .main{
        margin-top:80px;
        margin-bottom: -10px;
        margin-left: -80px;
        /* margin:0%; */
    }
    .login-page{
        margin-right:0%;
    }
    .form {
        width: 90%;
        margin: 0 auto;
    }
}

@media (max-width: 380px) {
    .main{
        margin-top:120px;
        margin-bottom: -10px;
        margin-left: -80px;
        /* margin:0%; */
    }
    .form {
        width: 90%;
        margin: 0 auto;
    }
}

